/*
 * Chronometre.h
 * This file is part of ChronoCheckMate
 *
 * Copyright (C) 2010 - François Drouhard
 *
 * ChronoCheckMate is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * ChronoCheckMate is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ChronoCheckMate; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 */
 
#ifndef DEF_CHRONOMETRE
#define DEF_CHRONOMETRE
 
#include <QTimer>
#include <QWidget>
#include <QLCDNumber>
#include <QObject>
#include <QHBoxLayout>
#include <QGroupBox>

class Chronometre : public QGroupBox {
	
	Q_OBJECT
	
	public:
	Chronometre (const QString & nom , QWidget * parent);
	int getHeure ();
	int getMinute ();
	int getSeconde ();
	int getCentieme ();
	void start ();
	void stop ();
	void affichage ();
	void reinit ();
	void basculer ();
	
	private slots:
	void refresh ();
	
	private:
	int heure;
	int minute;
	int seconde;
	int centieme;
	QTimer *timer;
	QHBoxLayout *ecranLayout;
	QLCDNumber *ecranHeure;
	QLCDNumber *ecranMinute;
	QLCDNumber *ecranSeconde;
	QLCDNumber *ecranCentieme;
};

#endif
